smartsens 2.0.0.0

Data Fields
smartsens_fifo_buffer Struct Reference

Fifo buffer. More...

`#include <smartsens.h>`

## Data Fields
uint32_t | read_pos
uint32_t | read_length
uint32_t | remain_length
uint32_t | buffer_size
uint8_t * | buffer

## Detailed Description

Fifo buffer.

Struct for fifo buffer of the Smart Sens Click driver.

## Field Documentation

## ◆ buffer

uint8_t* buffer

## ◆ buffer_size

uint32_t buffer_size

## ◆ read_length

uint32_t read_length

## ◆ read_pos

uint32_t read_pos

## ◆ remain_length

uint32_t remain_length

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/smartsens/lib_smartsens/include/smartsens.h